<?php

    include ('../../composants/connect-bdd/connexion_bdd.php');


    $nom_groupe = $_POST['newsgroupeAG'];
    $id_groupe  = $_POST['groupeAG'];

    $reponse = $bdd->query("SELECT * FROM `groupe_contact` WHERE id_groupe = $id_groupe ") or die(print_r($bdd->errorInfo()));
    $donnees =  $reponse->fetchAll();
    foreach ($donnees as $donnee)
    {
        $nom_groupe_de_base = $donnee['nom_groupe'];

        $req = $bdd->exec(" UPDATE `contact`
                            SET cathegorie = '$nom_groupe'
                            WHERE cathegorie = '$nom_groupe_de_base'
                            ");

        $req2 = $bdd->exec(" UPDATE `groupe_contact`
                            SET nom_groupe = '$nom_groupe'
                            WHERE nom_groupe = '$nom_groupe_de_base'
                            ");
    }
    if($donnees != null){
        header ("Location: $_SERVER[HTTP_REFERER]" );
      }
    else{
     echo("<script>alert('ERROR');</script>");
    header ("Location: $_SERVER[HTTP_REFERER]" );
    }
?>
